<template>
  <v-container
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-palette-swatch-variant"
      icon-small
      :title="$t('materiales')"
      color="secondary"
    >
      <v-row>
        <v-col cols="12" md="12" sm="12">
          <MaterialesTabla
            ref="MaterialesTabla"
            @onNuevoMaterial="nuevoMaterial"
            @onEditarMaterial="editarMaterial"
            class="pt-6 pl-8 pr-8 pb-8"
          />
        </v-col>
      </v-row>
      <v-dialog v-model="modal" max-width="700" transition="dialog-bottom-transition" persistent>
          <MaterialesForm
            :material="materialData"
            @onMaterialGuardado="materialGuardado"
            @onCancelarGuardar="cancelarGuardado"
          />
      </v-dialog>
    </material-card>
  </v-container>
</template>

<script>
import MaterialesForm from '@/components/Materiales/MaterialesForm'
import MaterialesTabla from '@/components/Materiales/MaterialesTabla'
export default {
  components: {
    MaterialesForm,
    MaterialesTabla
  },
  props: {

  },
  data () {
    return {
      modal: false,
      materialData: null
    }
  },
  methods: {
    nuevoMaterial() {
      this.modal = true
    },
    materialGuardado() {
      this.modal = false
      this.materialData = null
      this.$refs.MaterialesTabla.refreshTable()
    },
    editarMaterial(value) {
      this.materialData = value
      this.modal = true
    },
    cancelarGuardado() {
      this.materialData = null
      this.modal = false
    }
  },
}
</script>

<style>

</style>
